Skip to content
Start here

Create custom profile

client.ZeroTrust.DLP.Profiles.Custom.New(ctx, params) (*Profile, error)
POST/accounts/{account_id}/dlp/profiles/custom

Creates a DLP custom profile.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
params DLPProfileCustomNewParams
AccountID param.Field[string]

Path param

Name param.Field[string]

Body param

AIContextEnabled param.Field[bool]optional

Body param

AllowedMatchCount param.Field[int64]optional

Body param: Related DLP policies will trigger when the match count exceeds the number set.

formatint32
maximum1000
minimum0
ConfidenceThreshold param.Field[string]optional

Body param

DeprecatedContextAwareness param.Field[ContextAwareness]optional

Body param: Scan the context of predefined entries to only return matches surrounded by keywords.

DataClasses param.Field[[]string]optional

Body param: Data class IDs to associate with the profile.

DataTags param.Field[[]string]optional

Body param: Data tag IDs to associate with the profile.

Description param.Field[string]optional

Body param: The description of the profile.

Entries param.Field[[]DLPProfileCustomNewParamsEntry]optional

Body param

type DLPProfileCustomNewParamsEntriesDLPNewCustomEntry struct{…}
Enabled bool
Name string
Pattern Pattern
Regex string
DeprecatedValidation PatternValidationoptional
Description stringoptional
type DLPProfileCustomNewParamsEntriesDLPNewWordListEntry struct{…}
Enabled bool
Name string
Words []string
OCREnabled param.Field[bool]optional

Body param

SensitivityLevels param.Field[[]DLPProfileCustomNewParamsSensitivityLevel]optional

Body param: Sensitivity levels to associate with the profile.

GroupID string
formatuuid
LevelID string
formatuuid
SharedEntries param.Field[[]DLPProfileCustomNewParamsSharedEntry]optional

Body param: Entries from other profiles (e.g. pre-defined Cloudflare profiles, or your Microsoft Information Protection profiles).

Enabled bool
EntryID string
formatuuid
ReturnsExpand Collapse
type Profile interface{…}
One of the following:
type ProfileCustomProfile struct{…}
ID string

The id of the profile (uuid).

formatuuid
AllowedMatchCount int64

Related DLP policies will trigger when the match count exceeds the number set.

formatint32
maximum1000
minimum0
CreatedAt Time

When the profile was created.

formatdate-time
Name string

The name of the profile.

OCREnabled bool
Type ProfileCustomProfileType
UpdatedAt Time

When the profile was lasted updated.

formatdate-time
AIContextEnabled booloptional
ConfidenceThreshold ProfileCustomProfileConfidenceThresholdoptional
One of the following:
const ProfileCustomProfileConfidenceThresholdLow ProfileCustomProfileConfidenceThreshold = "low"
const ProfileCustomProfileConfidenceThresholdMedium ProfileCustomProfileConfidenceThreshold = "medium"
const ProfileCustomProfileConfidenceThresholdHigh ProfileCustomProfileConfidenceThreshold = "high"
const ProfileCustomProfileConfidenceThresholdVeryHigh ProfileCustomProfileConfidenceThreshold = "very_high"
DeprecatedContextAwareness ContextAwarenessoptional

Scan the context of predefined entries to only return matches surrounded by keywords.

Enabled bool

If true, scan the context of predefined entries to only return matches surrounded by keywords.

DataClasses []stringoptional

Data classes associated with this profile.

DataTags []stringoptional

Data tags associated with this profile.

Description stringoptional

The description of the profile.

DeprecatedEntries []ProfileCustomProfileEntryoptional
One of the following:
type ProfileCustomProfileEntriesCustomEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
DeprecatedEnabled bool
Name string
Pattern Pattern
Regex string
DeprecatedValidation PatternValidationoptional
Type ProfileCustomProfileEntriesCustomEntryType
UpdatedAt Time
formatdate-time
Description stringoptional
DeprecatedProfileID stringoptional
formatuuid
type ProfileCustomProfileEntriesPredefinedEntry struct{…}
ID string
formatuuid
Confidence ProfileCustomProfileEntriesPredefinedEntryConfidence
AIContextAvailable bool

Indicates whether this entry has AI remote service validation.

Available bool

Indicates whether this entry has any form of validation that is not an AI remote service.

Enabled bool
Name string
Type ProfileCustomProfileEntriesPredefinedEntryType
DeprecatedProfileID stringoptional
formatuuid
Variant ProfileCustomProfileEntriesPredefinedEntryVariantoptional
TopicType ProfileCustomProfileEntriesPredefinedEntryVariantTopicType
One of the following:
const ProfileCustomProfileEntriesPredefinedEntryVariantTopicTypeIntent ProfileCustomProfileEntriesPredefinedEntryVariantTopicType = "Intent"
const ProfileCustomProfileEntriesPredefinedEntryVariantTopicTypeContent ProfileCustomProfileEntriesPredefinedEntryVariantTopicType = "Content"
Type ProfileCustomProfileEntriesPredefinedEntryVariantType
Description stringoptional
type ProfileCustomProfileEntriesIntegrationEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileCustomProfileEntriesIntegrationEntryType
UpdatedAt Time
formatdate-time
ProfileID stringoptional
formatuuid
type ProfileCustomProfileEntriesExactDataEntry struct{…}
ID string
formatuuid
CaseSensitive bool

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

CreatedAt Time
formatdate-time
Enabled bool
Name string
Secret bool
Type ProfileCustomProfileEntriesExactDataEntryType
UpdatedAt Time
formatdate-time
type ProfileCustomProfileEntriesDocumentFingerprintEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileCustomProfileEntriesDocumentFingerprintEntryType
UpdatedAt Time
formatdate-time
type ProfileCustomProfileEntriesWordListEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileCustomProfileEntriesWordListEntryType
UpdatedAt Time
formatdate-time
WordList unknown
ProfileID stringoptional
formatuuid
SensitivityLevels []ProfileCustomProfileSensitivityLeveloptional

Sensitivity levels associated with this profile.

GroupID string
formatuuid
LevelID string
formatuuid
SharedEntries []ProfileCustomProfileSharedEntryoptional
One of the following:
type ProfileCustomProfileSharedEntriesCustomEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
DeprecatedEnabled bool
Name string
Pattern Pattern
Regex string
DeprecatedValidation PatternValidationoptional
Type ProfileCustomProfileSharedEntriesCustomEntryType
UpdatedAt Time
formatdate-time
Description stringoptional
DeprecatedProfileID stringoptional
formatuuid
type ProfileCustomProfileSharedEntriesPredefinedEntry struct{…}
ID string
formatuuid
Confidence ProfileCustomProfileSharedEntriesPredefinedEntryConfidence
AIContextAvailable bool

Indicates whether this entry has AI remote service validation.

Available bool

Indicates whether this entry has any form of validation that is not an AI remote service.

Enabled bool
Name string
Type ProfileCustomProfileSharedEntriesPredefinedEntryType
DeprecatedProfileID stringoptional
formatuuid
Variant ProfileCustomProfileSharedEntriesPredefinedEntryVariantoptional
TopicType ProfileCustomProfileSharedEntriesPredefinedEntryVariantTopicType
One of the following:
const ProfileCustomProfileSharedEntriesPredefinedEntryVariantTopicTypeIntent ProfileCustomProfileSharedEntriesPredefinedEntryVariantTopicType = "Intent"
const ProfileCustomProfileSharedEntriesPredefinedEntryVariantTopicTypeContent ProfileCustomProfileSharedEntriesPredefinedEntryVariantTopicType = "Content"
Type ProfileCustomProfileSharedEntriesPredefinedEntryVariantType
Description stringoptional
type ProfileCustomProfileSharedEntriesIntegrationEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileCustomProfileSharedEntriesIntegrationEntryType
UpdatedAt Time
formatdate-time
ProfileID stringoptional
formatuuid
type ProfileCustomProfileSharedEntriesExactDataEntry struct{…}
ID string
formatuuid
CaseSensitive bool

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

CreatedAt Time
formatdate-time
Enabled bool
Name string
Secret bool
Type ProfileCustomProfileSharedEntriesExactDataEntryType
UpdatedAt Time
formatdate-time
type ProfileCustomProfileSharedEntriesDocumentFingerprintEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileCustomProfileSharedEntriesDocumentFingerprintEntryType
UpdatedAt Time
formatdate-time
type ProfileCustomProfileSharedEntriesWordListEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileCustomProfileSharedEntriesWordListEntryType
UpdatedAt Time
formatdate-time
WordList unknown
ProfileID stringoptional
formatuuid
type ProfilePredefinedProfile struct{…}
ID string

The id of the predefined profile (uuid).

formatuuid
AllowedMatchCount int64
formatint32
DeprecatedEntries []ProfilePredefinedProfileEntry
One of the following:
type ProfilePredefinedProfileEntriesCustomEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
DeprecatedEnabled bool
Name string
Pattern Pattern
Regex string
DeprecatedValidation PatternValidationoptional
Type ProfilePredefinedProfileEntriesCustomEntryType
UpdatedAt Time
formatdate-time
Description stringoptional
DeprecatedProfileID stringoptional
formatuuid
type ProfilePredefinedProfileEntriesPredefinedEntry struct{…}
ID string
formatuuid
Confidence ProfilePredefinedProfileEntriesPredefinedEntryConfidence
AIContextAvailable bool

Indicates whether this entry has AI remote service validation.

Available bool

Indicates whether this entry has any form of validation that is not an AI remote service.

Enabled bool
Name string
Type ProfilePredefinedProfileEntriesPredefinedEntryType
DeprecatedProfileID stringoptional
formatuuid
Variant ProfilePredefinedProfileEntriesPredefinedEntryVariantoptional
TopicType ProfilePredefinedProfileEntriesPredefinedEntryVariantTopicType
One of the following:
const ProfilePredefinedProfileEntriesPredefinedEntryVariantTopicTypeIntent ProfilePredefinedProfileEntriesPredefinedEntryVariantTopicType = "Intent"
const ProfilePredefinedProfileEntriesPredefinedEntryVariantTopicTypeContent ProfilePredefinedProfileEntriesPredefinedEntryVariantTopicType = "Content"
Type ProfilePredefinedProfileEntriesPredefinedEntryVariantType
Description stringoptional
type ProfilePredefinedProfileEntriesIntegrationEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfilePredefinedProfileEntriesIntegrationEntryType
UpdatedAt Time
formatdate-time
ProfileID stringoptional
formatuuid
type ProfilePredefinedProfileEntriesExactDataEntry struct{…}
ID string
formatuuid
CaseSensitive bool

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

CreatedAt Time
formatdate-time
Enabled bool
Name string
Secret bool
Type ProfilePredefinedProfileEntriesExactDataEntryType
UpdatedAt Time
formatdate-time
type ProfilePredefinedProfileEntriesDocumentFingerprintEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfilePredefinedProfileEntriesDocumentFingerprintEntryType
UpdatedAt Time
formatdate-time
type ProfilePredefinedProfileEntriesWordListEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfilePredefinedProfileEntriesWordListEntryType
UpdatedAt Time
formatdate-time
WordList unknown
ProfileID stringoptional
formatuuid
Name string

The name of the predefined profile.

Type ProfilePredefinedProfileType
AIContextEnabled booloptional
ConfidenceThreshold ProfilePredefinedProfileConfidenceThresholdoptional
One of the following:
const ProfilePredefinedProfileConfidenceThresholdLow ProfilePredefinedProfileConfidenceThreshold = "low"
const ProfilePredefinedProfileConfidenceThresholdMedium ProfilePredefinedProfileConfidenceThreshold = "medium"
const ProfilePredefinedProfileConfidenceThresholdHigh ProfilePredefinedProfileConfidenceThreshold = "high"
const ProfilePredefinedProfileConfidenceThresholdVeryHigh ProfilePredefinedProfileConfidenceThreshold = "very_high"
DeprecatedContextAwareness ContextAwarenessoptional

Scan the context of predefined entries to only return matches surrounded by keywords.

Enabled bool

If true, scan the context of predefined entries to only return matches surrounded by keywords.

OCREnabled booloptional
OpenAccess booloptional

Whether this profile can be accessed by anyone.

type ProfileIntegrationProfile struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
DeprecatedEntries []ProfileIntegrationProfileEntry
One of the following:
type ProfileIntegrationProfileEntriesCustomEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
DeprecatedEnabled bool
Name string
Pattern Pattern
Regex string
DeprecatedValidation PatternValidationoptional
Type ProfileIntegrationProfileEntriesCustomEntryType
UpdatedAt Time
formatdate-time
Description stringoptional
DeprecatedProfileID stringoptional
formatuuid
type ProfileIntegrationProfileEntriesPredefinedEntry struct{…}
ID string
formatuuid
Confidence ProfileIntegrationProfileEntriesPredefinedEntryConfidence
AIContextAvailable bool

Indicates whether this entry has AI remote service validation.

Available bool

Indicates whether this entry has any form of validation that is not an AI remote service.

Enabled bool
Name string
Type ProfileIntegrationProfileEntriesPredefinedEntryType
DeprecatedProfileID stringoptional
formatuuid
Variant ProfileIntegrationProfileEntriesPredefinedEntryVariantoptional
TopicType ProfileIntegrationProfileEntriesPredefinedEntryVariantTopicType
One of the following:
const ProfileIntegrationProfileEntriesPredefinedEntryVariantTopicTypeIntent ProfileIntegrationProfileEntriesPredefinedEntryVariantTopicType = "Intent"
const ProfileIntegrationProfileEntriesPredefinedEntryVariantTopicTypeContent ProfileIntegrationProfileEntriesPredefinedEntryVariantTopicType = "Content"
Type ProfileIntegrationProfileEntriesPredefinedEntryVariantType
Description stringoptional
type ProfileIntegrationProfileEntriesIntegrationEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileIntegrationProfileEntriesIntegrationEntryType
UpdatedAt Time
formatdate-time
ProfileID stringoptional
formatuuid
type ProfileIntegrationProfileEntriesExactDataEntry struct{…}
ID string
formatuuid
CaseSensitive bool

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

CreatedAt Time
formatdate-time
Enabled bool
Name string
Secret bool
Type ProfileIntegrationProfileEntriesExactDataEntryType
UpdatedAt Time
formatdate-time
type ProfileIntegrationProfileEntriesDocumentFingerprintEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileIntegrationProfileEntriesDocumentFingerprintEntryType
UpdatedAt Time
formatdate-time
type ProfileIntegrationProfileEntriesWordListEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileIntegrationProfileEntriesWordListEntryType
UpdatedAt Time
formatdate-time
WordList unknown
ProfileID stringoptional
formatuuid
Name string
SharedEntries []ProfileIntegrationProfileSharedEntry
One of the following:
type ProfileIntegrationProfileSharedEntriesCustomEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
DeprecatedEnabled bool
Name string
Pattern Pattern
Regex string
DeprecatedValidation PatternValidationoptional
Type ProfileIntegrationProfileSharedEntriesCustomEntryType
UpdatedAt Time
formatdate-time
Description stringoptional
DeprecatedProfileID stringoptional
formatuuid
type ProfileIntegrationProfileSharedEntriesPredefinedEntry struct{…}
ID string
formatuuid
Confidence ProfileIntegrationProfileSharedEntriesPredefinedEntryConfidence
AIContextAvailable bool

Indicates whether this entry has AI remote service validation.

Available bool

Indicates whether this entry has any form of validation that is not an AI remote service.

Enabled bool
Name string
Type ProfileIntegrationProfileSharedEntriesPredefinedEntryType
DeprecatedProfileID stringoptional
formatuuid
Variant ProfileIntegrationProfileSharedEntriesPredefinedEntryVariantoptional
TopicType ProfileIntegrationProfileSharedEntriesPredefinedEntryVariantTopicType
One of the following:
const ProfileIntegrationProfileSharedEntriesPredefinedEntryVariantTopicTypeIntent ProfileIntegrationProfileSharedEntriesPredefinedEntryVariantTopicType = "Intent"
const ProfileIntegrationProfileSharedEntriesPredefinedEntryVariantTopicTypeContent ProfileIntegrationProfileSharedEntriesPredefinedEntryVariantTopicType = "Content"
Type ProfileIntegrationProfileSharedEntriesPredefinedEntryVariantType
Description stringoptional
type ProfileIntegrationProfileSharedEntriesIntegrationEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileIntegrationProfileSharedEntriesIntegrationEntryType
UpdatedAt Time
formatdate-time
ProfileID stringoptional
formatuuid
type ProfileIntegrationProfileSharedEntriesExactDataEntry struct{…}
ID string
formatuuid
CaseSensitive bool

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

CreatedAt Time
formatdate-time
Enabled bool
Name string
Secret bool
Type ProfileIntegrationProfileSharedEntriesExactDataEntryType
UpdatedAt Time
formatdate-time
type ProfileIntegrationProfileSharedEntriesDocumentFingerprintEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileIntegrationProfileSharedEntriesDocumentFingerprintEntryType
UpdatedAt Time
formatdate-time
type ProfileIntegrationProfileSharedEntriesWordListEntry struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Enabled bool
Name string
Type ProfileIntegrationProfileSharedEntriesWordListEntryType
UpdatedAt Time
formatdate-time
WordList unknown
ProfileID stringoptional
formatuuid
Type ProfileIntegrationProfileType
UpdatedAt Time
formatdate-time
Description stringoptional

The description of the profile.

Create custom profile

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  profile, err := client.ZeroTrust.DLP.Profiles.Custom.New(context.TODO(), zero_trust.DLPProfileCustomNewParams{
    AccountID: cloudflare.F("account_id"),
    Name: cloudflare.F("name"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", profile)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "allowed_match_count": 5,
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "ocr_enabled": true,
    "type": "custom",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "ai_context_enabled": true,
    "confidence_threshold": "low",
    "context_awareness": {
      "enabled": true,
      "skip": {
        "files": true
      }
    },
    "data_classes": [
      "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    ],
    "data_tags": [
      "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    ],
    "description": "description",
    "entries": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enabled": true,
        "name": "name",
        "pattern": {
          "regex": "regex",
          "validation": "luhn"
        },
        "type": "custom",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description",
        "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ],
    "sensitivity_levels": [
      {
        "group_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "level_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ],
    "shared_entries": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enabled": true,
        "name": "name",
        "pattern": {
          "regex": "regex",
          "validation": "luhn"
        },
        "type": "custom",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description",
        "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "allowed_match_count": 5,
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "ocr_enabled": true,
    "type": "custom",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "ai_context_enabled": true,
    "confidence_threshold": "low",
    "context_awareness": {
      "enabled": true,
      "skip": {
        "files": true
      }
    },
    "data_classes": [
      "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    ],
    "data_tags": [
      "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    ],
    "description": "description",
    "entries": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enabled": true,
        "name": "name",
        "pattern": {
          "regex": "regex",
          "validation": "luhn"
        },
        "type": "custom",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description",
        "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ],
    "sensitivity_levels": [
      {
        "group_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "level_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ],
    "shared_entries": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enabled": true,
        "name": "name",
        "pattern": {
          "regex": "regex",
          "validation": "luhn"
        },
        "type": "custom",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description",
        "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ]
  }
}